
WikiNG - Bug #2329

Mentions visibility

12 Sep 2014 14:05 - Robert Roth

Status: Under Verification Start date: 12 Sep 2014

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 50%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 2.5.1, 3.3 External issue:  

Description

Redmine setup:

Project A and B are not public projects, with several common members. Members of only one project can click the links of users

involved in both projects, and in their activity they will see the mentions from the issues on the other projects, along with subject,

project nam and other sensitive info. Mentions on objects belonging to a projwct whuch is not visible to the current usr should be

hidden from activity streams.

Associated revisions

Revision 83 - 15 Dec 2017 23:11 - Andriy Lesyuk

Added #visible? to Journal and Comment (#2329)

History

#1 - 15 Sep 2014 06:21 - Robert Roth

- File fix_wiking_2329.diff added

I had to implement a workaround, so I have found the attached patch to be working. A bit slow, but at least no privacy issues anymore.

If you have a better way, feel free to suggest anything, I would be happy to implement it.

#2 - 04 Sep 2016 08:23 - Andriy Lesyuk

- Status changed from New to Open

- Assignee set to Andriy Lesyuk

- Priority changed from Normal to Major

- Target version set to 1.1.0

#3 - 13 Dec 2017 20:53 - Andriy Lesyuk

- Status changed from Open to In Progress

- Redmine version changed from 2.5.1 to 2.5.1, 3.3

Looks like, this applies only to journals (not to issues themselves).

#4 - 15 Dec 2017 23:23 - Andriy Lesyuk

- Status changed from In Progress to Under Verification

- Target version deleted (1.1.0)

- % Done changed from 0 to 50

I fixed this issue (I believe) by implementing visible? for Journal and Comment (in r83). If visible? is not implemented for a mentioned object, such

mention is always shown. So, implementing proper visible? solves the issue.

However, I’m not sure, that all such cases are fixed (I made search and found only Journal and Comment, but I could miss something). That’s the

reason, why I leave this bug open.
http://projects.andriylesyuk.com/projects/wiking/repository/revisions/83


P.S. The fix by Robert is more universal, but it’s generally not correct (non-members can have access to the project too). Besides, as it was

mentioned, it’s slower (according to Robert – I did not test this).

Files

fix_wiking_2329.diff 1.48 KB 15 Sep 2014 Robert Roth
